### Method

# Gtk Builder add_from_resource

#### Declaration [src]

    gboolean
    gtk_builder_add_from_resource (
      GtkBuilder* builder,
      const char* resource_path,
      GError** error
    )

#### Description [src]

Parses a resource file containing a UI definition and merges it with the current contents of `builder`.

This function is useful if you need to call gtk_builder_set_current_object() to add user data to callbacks before loading GtkBuilder UI. Otherwise, you probably want gtk_builder_new_from_resource() instead.

If an error occurs, 0 will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR`, `G_MARKUP_ERROR` or `G_RESOURCE_ERROR` domain.

It’s not really reasonable to attempt to handle failures of this call. The only reasonable thing to do when an error is detected is to call g_error().

#### Parameters

`resource_path` | `const char*`
| The path of the resource file to parse.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` if an error occurred.